module.exports = {
	rootDir: './',
	transform: {
		'^.+\\.tsx?$': 'ts-jest',
	},
	testRegex: '(/__tests__/.*|(-|/)(test))\\.tsx?$',
	moduleFileExtensions: ['ts', 'tsx', 'js', 'json'],
	moduleNameMapper: {
		'^config(.*)$': '<rootDir>/config/$1',
		'^@prokyon/components(.*)$': '<rootDir>/packages/components/src/$1',
		'^@prokyon/api(.*)$': '<rootDir>/packages/api/src/$1',
		'^@prokyon/auth(.*)$': '<rootDir>/packages/auth/src/$1',
		'^@prokyon/constants(.*)$': '<rootDir>/packages/constants/src/$1',
		'^@prokyon/utils(.*)$': '<rootDir>/packages/utils/src/$1',
		'^@prokyon/forms(.*)$': '<rootDir>/packages/forms/src/$1',
		'^@prokyon/hooks(.*)$': '<rootDir>/packages/forms/src/$1',
		'^@prokyon/localization(.*)$': '<rootDir>/packages/localization/src/$1',
		'^@prokyon/styles(.*)$': '<rootDir>/packages/styles/src/$1',
		'^@prokyon/types(.*)$': '<rootDir>/packages/types/src/$1',
		'\\.(css|less|sass|scss)$': '<rootDir>/types/emptyMock.ts',
	},
	collectCoverage: !!process.env.CI,
	coverageReporters: ['lcov'],
	coverageDirectory: '<rootDir>/temp/jest',
	globals: {
		'ts-jest': {
			diagnostics: {
				warnOnly: true,
			},
		},
	},
};
