import React, { FC, useCallback } from 'react';

import { Calendar } from '../../Calendar';
import { ModalId } from '../../Modal/context';

export type DatePickerModalProps = {
	closeModal: (id: ModalId) => void;
	format: ModalId;
	name: ModalId;
	onChange: (value: Date) => void;
	value: Date | undefined;
};

export const DatePickerModal: FC<DatePickerModalProps> = (props) => {
	const { onChange, closeModal, name, value } = props;

	const setActiveOption = useCallback(
		(value: Date) => {
			onChange?.(value);
			closeModal(name);
		},
		[onChange, closeModal, name]
	);

	return <Calendar value={value} onClick={setActiveOption} hover />;
};
