import React from 'react';

import Button from '../../Button';
import { Toaster } from '../context';
import { useToaster } from '../hooks';

type IProps = {
	label: string;
} & Toaster;

const AddToasterButton: React.FC<IProps> = (props) => {
	const { id, label, title, status, message } = props;

	const { showToaster } = useToaster();

	const handleClick = (): void => {
		showToaster({ id, status, message, title });
	};

	return <Button label={label} onClick={handleClick} status={status} />;
};

export default AddToasterButton;
