import React from 'react';

import { isNilOrEmpty } from '@prokyon/utils';

import Message from '../../Message';
import { useToaster } from '../hooks';

function Toasters() {
	const { toasters } = useToaster();

	if (isNilOrEmpty(toasters)) {
		return null;
	}

	return (
		<div className="fixed bottom-4 right-6 sm-m:left-6 w-80 sm-m:w-auto z-10">
			{Object.keys(toasters).map((toasterId) => {
				const toaster = toasters[toasterId];
				return (
					<Message key={toasterId} status={toaster.status} title={toaster.title}>
						{toaster.message}
					</Message>
				);
			})}
		</div>
	);
}

export default Toasters;
