const human = (theme) => ({
	'.hv-wrapper': {
		position: 'relative',
		width: 80,
		height: 40,
		borderRadius: theme('borderRadius.md'),
		backgroundColor: 'transparent',
		border: '1px solid',
		borderColor: theme('colors.field.700'),
		'&:before': {
			content: 'var(--hv-slider-content-before)',
			position: 'absolute',
			left: 8,
			lineHeight: 3,
			fontSize: 13,
			zIndex: 1,
		},
		'&:after': {
			content: 'var(--hv-slider-content-after)',
			position: 'absolute',
			right: 10,
			lineHeight: 3,
			fontSize: 13,
			zIndex: 1,
		},
		'.hv-slider': {
			position: 'absolute',
			left: 0,
			top: 0,
			zIndex: 2,
			height: 38,
			width: 38,
			border: '1px solid white',
			borderRadius: theme('borderRadius.md'),
			cursor: 'grab',
			background: theme('colors.error.DEFAULT'),
			'&--ok': {
				cursor: 'no-drop',
				background: theme('colors.success.DEFAULT'),
			},
		},
	},
	'.hv-tips': {
		marginLeft: '.5rem',
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(human(theme));
};

module.exports.human = human;
