const list = (theme) => ({
	'.list-container': {
		borderRadius: theme('borderRadius.sm'),
		border: `2px solid ${theme('colors.gray.300')}`,
		padding: '4px',
		maxHeight: '12rem',
		overflowY: 'auto',
	},
	'.list': {
		cursor: 'pointer',
		padding: '8px',
		margin: '3px 0',
		borderRadius: theme('borderRadius.sm'),
		border: `1px solid white`,
		borderColor: theme('colors.whitesmoke'),
		'&-compact': {
			padding: '1px 1px 1px 8px',
		},
		'&--focus': {
			backgroundColor: theme('colors.focus.DEFAULT'),
			borderColor: theme('colors.focus.dark'),
		},
		'&--active': {
			backgroundColor: theme('colors.active.DEFAULT'),
			borderColor: theme('colors.active.dark'),
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(list(theme));
};

module.exports.list = list;
