const buildState = (theme, bg, color) => {
	return {
		'& > div:first-of-type': {
			backgroundColor: bg,
			borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
			padding: theme('spacing.4'),
			'& > svg': {
				color: color,
			},
		},
		'& > div:nth-of-type(2)': {
			width: '100%',
			border: `1px solid ${bg}`,
			borderLeft: 'none',
			padding: theme('spacing.2'),
			paddingLeft: '1rem',
			borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
			display: 'flex',
			alignItems: 'center',
		},
	};
};

const message = (theme) => ({
	'.message': {
		marginTop: theme('spacing.5'),
		width: '100%',
		display: 'flex',
		color: theme('colors.black.DEFAULT'),
		backgroundColor: 'white',
		'&--none': buildState(theme, theme('colors.gray.200'), theme('colors.black')),
		'&--info': buildState(theme, theme('colors.info.DEFAULT'), theme('colors.white')),
		'&--success': buildState(
			theme,
			theme('colors.success.DEFAULT'),
			theme('colors.white')
		),
		'&--warning': buildState(
			theme,
			theme('colors.warning.DEFAULT'),
			theme('colors.black')
		),
		'&--error': buildState(theme, theme('colors.error.DEFAULT'), theme('colors.white')),
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
