const modal = (theme) => ({
	'.modal': {
		'&-wrapper': {
			'--tw-bg-opacity': '0.8',
			backgroundColor: theme('colors.black.DEFAULT'),
			position: 'fixed',
			top: 0,
			right: 0,
			bottom: 0,
			left: 0,
			zIndex: 8,
		},
		'&-container': {
			position: 'absolute',
			left: 0,
			right: 0,
			top: '100px',
			width: '100%',
			maxWidth: theme('screens.lg'),
			margin: 'auto',
		},
		'&-title': {
			color: theme('colors.white'),
			backgroundColor: theme('colors.primary.DEFAULT'),
			border: `1px solid ${theme('colors.primary.dark')}`,
			borderRadius: `${theme('borderRadius.sm')} ${theme('borderRadius.sm')} 0 0`,
			fontSize: '26px',
			lineHeight: '24px',
			padding: '0.875rem',
			height: '54px',
		},
		'&-cross': {
			position: 'absolute',
			top: 0,
			right: 0,
			cursor: 'pointer',
			textAlign: 'center',
			fontSize: '54px',
			color: theme('colors.white'),
			width: '52px',
			height: '52px',
			display: 'flex',
			justifyContent: 'center',
		},
		'&-body': {
			border: `1px solid ${theme('colors.primary.dark')}`,
			borderTop: 'none',
			borderRadius: `0 0 ${theme('borderRadius.sm')} ${theme('borderRadius.sm')}`,
			backgroundColor: theme('colors.white'),
			padding: '.75rem',
			overflow: 'auto',
			maxHeight: '80vh',
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(modal(theme));
};

module.exports.modal = modal;
