const { pallete } = require('../utils/color');

module.exports = {
	colors: {
		primary: {
			light: 'var(--color-primary--light)',
			DEFAULT: 'var(--color-primary)',
			dark: 'var(--color-primary--dark)',
		},
		secondary: {
			light: 'var(--color-secondary--light)',
			DEFAULT: 'var(--color-secondary)',
			dark: 'var(--color-secondary--dark)',
		},
		focus: {
			DEFAULT: 'var(--color-focus)',
			dark: 'var(--color-focus--dark)',
		},
		active: {
			DEFAULT: 'var(--color-active)',
			light: 'var(--color-active--light)',
			dark: 'var(--color-active--dark)',
		},
		whitesmoke: 'var(--color-whitesmoke)',
		black: pallete('black'),
		info: {
			DEFAULT: 'var(--color-info)',
			dark: 'var(--color-info--dark)',
		},
		success: {
			DEFAULT: 'var(--color-success)',
			dark: 'var(--color-success--dark)',
		},
		warning: {
			DEFAULT: 'var(--color-warning)',
			dark: 'var(--color-warning--dark)',
		},
		error: {
			DEFAULT: 'var(--color-error)',
			dark: 'var(--color-error--dark)',
		},
		navigation: {
			top: pallete('nav-top'),
			side: pallete('nav-side'),
		},
		field: pallete('label'),
	},
	screens: {
		'lg-m': { min: '768px', max: '1024px' },
		'md-m': { min: '640px', max: '768px' },
		'sm-m': { min: '0', max: '639px' },
	},
	width: {
		'v-10': '100vw',
	},
	maxHeight: {
		'v-7': '70vh',
	},
	minHeight: {
		'v-10': '100vh',
	},
	borderWidth: {
		1: '1px',
	},
};
