function dynamicHsl(h, s, l) {
	return ({ opVar, opVal }) => {
		if (opVal !== undefined) {
			return `hsla(${h}, ${s}, ${l}, ${opVal})`;
		}
		if (opVar !== undefined) {
			return `hsla(${h}, ${s}, ${l}, var(${opVar}, 1))`;
		}
		return `hsl(${h}, ${s}, ${l})`;
	};
}

const pallete = (color) => {
	const h = `var(--color-${color}-h)`;
	const s = `var(--color-${color}-s)`;
	const l = `var(--color-${color}-l)`;
	return {
		0: dynamicHsl(h, s, `calc(${l} + 100%)`),
		100: dynamicHsl(h, s, `calc(${l} + 24%)`),
		200: dynamicHsl(h, s, `calc(${l} + 18%)`),
		300: dynamicHsl(h, s, `calc(${l} + 12%)`),
		400: dynamicHsl(h, s, `calc(${l} + 6%)`),
		DEFAULT: dynamicHsl(h, s, l)({ opVar: '--tw-bg-opacity' }),
		600: dynamicHsl(h, s, `calc(${l} - 6%)`),
		700: dynamicHsl(h, s, `calc(${l} - 12%)`),
		800: dynamicHsl(h, s, `calc(${l} - 18%)`),
		900: dynamicHsl(h, s, `calc(${l} - 24%)`),
		1: dynamicHsl(h, s, `calc(${l} - 100%)`),
	};
};

module.exports = {
	pallete,
};
