import React from 'react';

import type { Meta, StoryObj } from '@storybook/react';

import Toasters from '@prokyon/components/Toaster';
import AddToaster from '@prokyon/components/Toaster/components/AddToasterButton';
import ToasterWrapper from '@prokyon/components/Toaster/context';
import { StatusEnum } from '@prokyon/types/common';

type Story = StoryObj<typeof AddToaster>;

export default {
	component: AddToaster,
	parameters: {
		docs: {
			description: {
				component: "`import AddToasterButton from '@prokyon/components/Toaster/components/AddToasterButton';`",
			},
		},
	},
	tags: ['autodocs'],
	decorators: [
		(Story) => (
			<ToasterWrapper>
				<Story />
				<Toasters />
			</ToasterWrapper>
		),
	],
} as Meta;

export const Default: Story = {
	args: {
		id: 'none',
		title: 'Show toaster',
		label: 'Show toaster',
		message: 'Toaster message.',
		status: StatusEnum.none,
	},
};

export const Information: Story = {
	args: {
		id: 'info',
		title: 'Show toaster',
		label: 'Show toaster',
		message: 'Toaster message.',
		status: StatusEnum.info,
	},
};

export const Success: Story = {
	args: {
		id: 'success',
		title: 'Show toaster',
		label: 'Show toaster',
		message: 'Toaster message.',
		status: StatusEnum.success,
	},
};

export const Warning: Story = {
	args: {
		id: 'warning',
		title: 'Show toaster',
		label: 'Show toaster',
		message: 'Toaster message.',
		status: StatusEnum.warning,
	},
};

export const Error: Story = {
	args: {
		id: 'error',
		title: 'Show toaster',
		label: 'Show toaster',
		message: 'Toaster message.',
		status: StatusEnum.error,
	},
};
