import React, { FC } from 'react';
import { omit } from 'ramda';
import { format } from 'date-fns';

import {
	DayView,
	DayViewProps,
} from '@prokyon/components/Calendar/components/DayView';

export const DayInMonth: FC<DayViewProps> = (props) => {
	const { date, onClick, ...others } = props;

	return (
		<DayView {...omit(['children'], others)} onClick={onClick} date={date}>
			<div className="p-1 h-24">
				<div className="text-right text-sm">
					{format(date ?? new Date(), 'dd')}
				</div>
			</div>
		</DayView>
	);
};
