import React from 'react';
import { action } from '@storybook/addon-actions';
import { Meta, StoryObj } from '@storybook/react';

import { DatePicker } from '@prokyon/components/DatePicker';
import { Modals } from '@prokyon/components/Modal';
import { ModalWrapper } from '@prokyon/components/Modal/context';

type Story = StoryObj<typeof DatePicker>;

const description = `
\`import DatePicker from '@prokyon/components/DatePicker';\`

You need to wrap this component with \`ModalWrapper\` component.
`;

const meta: Meta<typeof DatePicker> = {
	component: DatePicker,
	parameters: {
		docs: {
			description: {
				component: description,
			},
		},
	},
	tags: ['autodocs'],
	decorators: [
		(Story) => (
			<ModalWrapper>
				<Story />
				<Modals />
			</ModalWrapper>
		),
	],
};

/**
 * # Button stories
 * These stories showcase the button
 */
export const Default: Story = {
	args: {
		name: 'datePicker',
		label: 'Choose date',
		onClick: action('click'),
	},
};

export default meta;
