import type { StoryObj } from '@storybook/react';

import Message from '@prokyon/components/Message';
import { StatusEnum } from '@prokyon/types/common';

type Story = StoryObj<typeof Message>;

export default {
	parameters: {
		docs: {
			description: {
				component: "`import Message from '@prokyon/components/Message';`",
			},
		},
	},
	tags: ['autodocs'],
	component: Message,
};

export const Default: Story = {
	args: {
		title: 'Default message',
		// children: 'Message body',
		status: StatusEnum.none,
	},
};

export const Success: Story = {
	args: {
		title: 'Success message',
		children: 'Message body',
		status: StatusEnum.success,
	},
};

export const Info: Story = {
	args: {
		title: 'Info message',
		children: 'Message body',
		status: StatusEnum.info,
	},
};

export const Warning: Story = {
	args: {
		title: 'Warning message',
		children: 'Message body',
		status: StatusEnum.warning,
	},
};

export const Error: Story = {
	args: {
		title: 'Error message',
		children: 'Message body',
		status: StatusEnum.error,
	},
};
