import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Modals } from '@prokyon/components/Modal/components/Modals';
import { ModalWrapper } from '@prokyon/components/Modal/context';
import { Selectbox } from '@prokyon/components/Selectbox';

type Story = StoryObj<typeof Selectbox>;

const description = `
\`import Selectbox from '@prokyon/components/Selectbox';\`

You need to wrap this component with \`ModalWrapper\` component.
`;

export default {
	component: Selectbox,
	parameters: {
		docs: {
			description: {
				component: description,
			},
		},
	},
	tags: ['autodocs'],
	decorators: [
		(Story) => (
			<ModalWrapper>
				<Story />
				<Modals />
			</ModalWrapper>
		),
	],
} as Meta;

export const Default: Story = {
	args: {
		name: 'selectbox',
		label: 'Zvolte den v týdnu',
		options: [
			{ name: 'Pondělí', code: 'po' },
			{ name: 'Úterý', code: 'ut' },
			{ name: 'Středa', code: 'st' },
			{ name: 'Čtvrtek', code: 'ct' },
			{ name: 'Pátek', code: 'pa' },
			{ name: 'Sobota', code: 'so' },
			{ name: 'Neděle', code: 'ne' },
		],
	},
};

export const Atocomplete: Story = {
	args: {
		autoComplete: true,
		name: 'selectboxAutoComplete',
		label: 'Zvolte den v týdnu',
		options: [
			{ name: 'Pondělí', code: 'po' },
			{ name: 'Úterý', code: 'ut' },
			{ name: 'Středa', code: 'st' },
			{ name: 'Čtvrtek', code: 'ct' },
			{ name: 'Pátek', code: 'pa' },
			{ name: 'Sobota', code: 'so' },
			{ name: 'Neděle', code: 'ne' },
		],
	},
};
