import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Title, TitleSizeEnum } from '@prokyon/components/Title';
import { DirectionEnum } from '@prokyon/types/common';

type Story = StoryObj<typeof Title>;

export default {
	component: Title,
	decorators: [
		(Story) => (
			<>
				<Story />
				content
			</>
		),
	],
	parameters: {
		docs: {
			description: {
				component: "`import { Title } from '@prokyon/components/Title';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		children: 'Default Title',
	},
};

export const Header: Story = {
	args: {
		children: 'Head title',
		size: TitleSizeEnum.md,
	},
};

export const HeaderWithSpace: Story = {
	args: {
		children: 'Head title',
		size: TitleSizeEnum.md,
		margin: { [DirectionEnum.bottom]: 4 },
	},
};
