import React from 'react';

import { FetchLoader } from '@prokyon/api/components/Loader';
import Button from '@prokyon/components/Button';
import { Grid, GridSizeEnum } from '@prokyon/components/Grid';
import { GridCol } from '@prokyon/components/GridCol';
import { StatusEnum } from '@prokyon/types/common';

import { useLazyGetTodosQuery } from '../store/api';
import Placeholder from './Placeholder';

const { md } = GridSizeEnum;

const FetchPage = (): React.ReactElement => {
	const [getTodos, { isFetching, data }] = useLazyGetTodosQuery();

	const handleFetch = async (id: number) => {
		await getTodos(id);
	};

	return (
		<>
			<Grid cols={{ [md]: 4 }}>
				<GridCol>
					<Button status={StatusEnum.warning} label="Odeslat" onClick={() => handleFetch(1)} disabled={isFetching} />
				</GridCol>
			</Grid>
			<FetchLoader active={isFetching} placeholder={<Placeholder />}>
				<pre>{JSON.stringify(data, undefined, 2)}</pre>
			</FetchLoader>
		</>
	);
};

export default FetchPage;
