import { createApi } from '@reduxjs/toolkit/query/react';
import { BASE_ENDPOINT_URL } from 'config/config.json';

import { baseQuery } from '@prokyon/api/query';

const baseFetchQuery = baseQuery({ baseUrl: BASE_ENDPOINT_URL });

export const TodoApi = createApi({
	reducerPath: 'todos',
	baseQuery: baseFetchQuery,
	endpoints: (builder) => ({
		getTodos: builder.query<any, any>({
			query: (id) => ({
				url: '/todos/' + id,
				method: 'GET',
			}),
		}),
	}),
});

export const { useLazyGetTodosQuery } = TodoApi;

export default TodoApi;
